Atom feed of this document
 
 
 

 4.3.1. Restart Instance

VerbURIDescription
POST/instances/{instanceId}/actionRestarts the database service on the instance.

Normal Response Code(s): 202

Error Response Code(s): badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), unprocessableEntity (422), instanceFault (500), notImplemented (501), serviceUnavailable (503), itemNotFound (404), badMediaType (415)

The restart operation will restart only the MySQL Instance. Restarting MySQL will erase any dynamic configuration settings that you have made within MySQL.

[Note]Note

The MySQL service will be unavailable until the instance restarts.

This operation returns a 202 Accepted response.

Table 4.8. Restart Instance Request Parameters
NameStyleTypeDescription
accountIdTemplate​String

The account ID of the owner of the specified instance.

instanceIdTemplate​String

The instance ID for the specified database instance.

The following examples show the Restart Instance requests:

 

Example 4.33. Restart Instance Request: XML

POST /v1.0/1234/instances/9cccb45e-e15d-4bcc-aedc-61a4bf3e4ad9/action HTTP/1.1
User-Agent: python-reddwarfclient
Host: ord.databases.api.rackspacecloud.com
X-Auth-Token: 87c6033c-9ff6-405f-943e-2deb73f278b7
Accept: application/xml
Content-Type: application/xml

<restart xmlns="http://docs.openstack.org/database/api/v1.0"/>


 

Example 4.34. Restart Instance Request: JSON

POST /v1.0/1234/instances/dcc5c518-73c7-4471-83e1-15fae67a98eb/action HTTP/1.1
User-Agent: python-reddwarfclient
Host: ord.databases.api.rackspacecloud.com
X-Auth-Token: 87c6033c-9ff6-405f-943e-2deb73f278b7
Accept: application/json
Content-Type: application/json

{
    "restart": {}
}

The following examples show the Restart Instance responses:

 

Example 4.35. Restart Instance Response: XML

HTTP/1.1 202 Accepted
Content-Type: application/xml
Via: 1.1 Repose (Repose/2.6.7)
Content-Length: 0
Date: Wed, 08 May 2013 22:43:36 GMT
Server: Jetty(8.0.y.z-SNAPSHOT)

 

Example 4.36. Restart Instance Response: JSON

HTTP/1.1 202 Accepted
Content-Type: application/json
Via: 1.1 Repose (Repose/2.6.7)
Content-Length: 0
Date: Wed, 08 May 2013 22:43:36 GMT
Server: Jetty(8.0.y.z-SNAPSHOT)